Loading...
Searching...
No Matches
QXmppFileSourcesAttachment Class Reference

## Public Member Functions

| QXmppFileSourcesAttachment ()
| Default constructor.
const QString & | id () const
void | setId (const QString &)
const QVector< QXmppHttpFileSource > & | httpSources () const
void | setHttpSources (const QVector< QXmppHttpFileSource > &newHttpSources)
const QVector< QXmppEncryptedFileSource > & | encryptedSources () const
void | setEncryptedSources (const QVector< QXmppEncryptedFileSource > &newEncryptedSources)
void | toXml (QXmpp::Private::XmlWriter &writer) const
| Serialize to XML.

## Friends

class | QXmppMessage

## Detailed Description

Attachment of file sources to a previous file sharing element from XEP-0447: Stateless file sharing.

Since
  QXmpp 1.7

## Member Function Documentation

## encryptedSources()

const QVector< QXmppEncryptedFileSource > & QXmppFileSourcesAttachment::encryptedSources | ( |  | ) | const

Returns the encrypted sources for this file.

## httpSources()

const QVector< QXmppHttpFileSource > & QXmppFileSourcesAttachment::httpSources | ( |  | ) | const

Returns the HTTP sources for this file.

## id()

const QString & QXmppFileSourcesAttachment::id | ( |  | ) | const

Returns the ID of the referenced file-sharing element.

## setEncryptedSources()

void QXmppFileSourcesAttachment::setEncryptedSources | ( | const QVector< QXmppEncryptedFileSource > & | newEncryptedSources | ) |

Sets the encrypted sources for this file.

## setHttpSources()

void QXmppFileSourcesAttachment::setHttpSources | ( | const QVector< QXmppHttpFileSource > & | newHttpSources | ) |

Sets the HTTP sources for this file.

## setId()

void QXmppFileSourcesAttachment::setId | ( | const QString & | id | ) |

Sets the ID of the referenced file-sharing element.

The documentation for this class was generated from the following files:

- QXmppFileShare.h
- QXmppFileShare.cpp